import pyfits as pf
from scipy import *
import scipy.constants as sc
subor = pf.open("kombine.fits")
data = subor[0].data

#konštanty
f0R = 3080e-26
lambdR = 640e-9
podiellambdR = 0.23
nueffR = (sc.c/lambdR)

#pozadie
suma = 0
k=0
for l in range(235,331,1):
	for m in range(371,427,1):
		
		suma = suma + data[m,l]
		k = k + 1
pozadie = suma/k

#hviezda
suma=0
for i in range (285,305,1):
    for j in range (310,325,1):
        suma = suma + data[j,i] - pozadie

plocha = sc.pi*0.2**2
gain = 1.5
energia = sc.h * nueffR
exptime = 2400
tok = suma * gain / (plocha * exptime)
sirka = sc.c*podiellambdR/lambdR


mag = 14.515
hviezda = lambdR/(sc.h*sc.c)*f0R*sirka*pow(10,-0.4*mag)

podiel = hviezda/tok
print podiel
        

