import pyfits as pf
from scipy import *
import scipy.constants as sc
subor = pf.open("kombine.fits")
data = subor[0].data

x = 383
y = 199
k = 0
suma = 0
for l in range(235,331,1):
	for m in range(371,427,1):
		
		suma = suma + data[m,l]
		k = k + 1

pozadie = suma/k
print "pozadie:", pozadie

plocha = sc.pi*0.2**2
sirkafiltra = 1472
kalib = 6.821 #farebna kalibracia
exptime = 2400
f0R = 3080e-26
lambdR = 640e-9
podiellambdR = 0.23
nueffR = (sc.c/lambdR)
sirka = sc.c*podiellambdR/lambdR
prepocet = 1.0868693 # arsec/px

for n in range(x,760,1):
 hodnota = (abs(data[y,n] - pozadie)*1.5*kalib)/prepocet**2/sirkafiltra/exptime/plocha   
 mag = -2.5*log10((hodnota*sc.h*(nueffR))/(f0R*sirka))
 nx = pow(((n-x)/14.7),0.25) # r0 vzdialenost v px kde klesne na max/e
 nxx = (n-x) * prepocet
 fl=open('data.txt','a')
 fl.write(str(nxx) + ' ' + str(mag) + '\n')
 fl.close()
